Subject: Re: bug#36069: Menu-based installer unusable through noVNC

From: Robert Vollmert <[email-masked]>
Date: Tue, 25 Jun 2019 19:51:19 +0200

> On 25. Jun 2019, at 17:54, pelzflorian (Florian Pelz) <[email-masked]> wrote:
> 
> On Tue, Jun 25, 2019 at 05:06:03PM +0200, Björn Höfling wrote:
>> I guess you (Ludovic) have tried the installer with QEMU and its
>> VNC-Server, maybe even with different VNC-clients?
>> 
> 
> It works with
> 
> qemu-system-x86_64 -m 1024 -smp 1 -enable-kvm -drive file=Downloads/guix-system-install-1.0.1.x86_64-linux.iso -vnc :0
> 
> as the VNC server and vinagre as the VNC client.
> 
> Sadly novnc and guacamole clients are not packaged.  I do not know if
> your errors are with the server or the client side.
> 
> Regards,
> Florian

I just gave my VPS another try; it turns out I can connect directly
to their VNC server. Using the macos built in VNC client I have the
same problem as before, so it appears to not be a client side issue.

The connection is titled “QEMU (server-specific-stuff)”, so this is
probably also a QEMU VNC server.